function finalRad= DCexampleControl(serPort)
% Copyright (C) 2011 Cornell University
% This code is released under the open-source BSD license.  A copy of this
% license should be provided with the software.  If not, email:
% CreateMatlabSim@gmail.com

    % Set constants for this program
    maxDuration = 4*60;  % Max time to allow the program to run (s)

    % Initialize loop variables
    tStart = tic;        % Time limit marker
    
    % Start robot moving
    SetFwdVelAngVelCreate(serPort,0.2,0); % speed = 0.5 (the max), angular vel = 0
    % or
    % SetDriveWheelsCreate(serPort,0.2,0.2); % right wheel, left wheel
    
    % Enter main loop
    while toc(tStart) < maxDuration
        
        % read the sonar
        leftS = ReadSonarMultiple(serPort,3);
        rightS = ReadSonarMultiple(serPort,1);
        frontS = ReadSonarMultiple(serPort,2);

        % if you see a wall within 0.5, stop, go backwards, turn, and
        % continue
        if (frontS < 0.5) 
            % backwards
            SetDriveWheelsCreate(serPort,-0.2,-0.2);
            pause(0.2);
            
            % turn left
            SetDriveWheelsCreate(serPort,0.2,-0.2);
            pause(0.2);
            
            % continue
            SetDriveWheelsCreate(serPort,0.2,0.2);
        end
        
        
        
        % get the x, y, theta of the robot from some type of GPS sensor
        [x y th] = OverheadLocalizationCreate(serPort);
        % plot the robot position so we can see where it went
        plot(x,y,'c.');
                    
        % pause a little so code doesn't run too fast
        pause(0.01);
    end
    
    % Specify output parameter
    finalRad = 0;
    
    % Stop robot motion
    SetFwdVelAngVelCreate(serPort,0,0);
    
end

